part of 'forgot_password_bloc.dart';

abstract class ForgotPasswordEvent extends Equatable {
  const ForgotPasswordEvent();

  @override
  List<Object> get props => [];
}

class ResetPasswordEvent extends ForgotPasswordEvent {
  final String captcha;
  final String baseUrl;

  const ResetPasswordEvent({
    required this.captcha,
    required this.baseUrl,
  });

  @override
  List<Object> get props => [captcha, baseUrl];
}

class UsernameChangedEvent extends ForgotPasswordEvent {
  const UsernameChangedEvent({required this.username});

  final String username;

  @override
  List<Object> get props => [username];
}
