part of 'forgot_password_bloc.dart';

class ForgotPasswordState extends Equatable {
  const ForgotPasswordState({
    required this.username,
    this.formState = const ForgotPasswordFormInitial(),
  });

  final String username;
  final ForgotPasswordFormState formState;

  static final RegExp _emailRegExp = RegExp(
    r'^[a-zA-Z0-9.!#$%&’*+/=?^_`{|}~-]+@[a-zA-Z0-9-]+(?:\.[a-zA-Z0-9-]+)*$',
  );

  bool get isValidUsername =>
      username.isNotEmpty && _emailRegExp.hasMatch(username);

  @override
  List<Object> get props => [username, formState];

  ForgotPasswordState copyWith(
      {String? username, ForgotPasswordFormState? formState}) {
    return ForgotPasswordState(
        username: username ?? this.username,
        formState: formState ?? this.formState);
  }
}
