import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:senior_authentication/senior_authentication.dart';
import 'package:senior_authentication/src/screens/forgot_password/bloc/forgot_password_bloc.dart';
import 'package:senior_authentication/src/screens/forgot_password/forgot_password_form.dart';

class ForgotPasswordScreen extends StatelessWidget {
  ForgotPasswordScreen({
    Key? key,
    required this.username,
    required this.changePasswordSetting,
  }) : super(key: key);

  final String username;
  final ChangePasswordSettings changePasswordSetting;

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white,
      resizeToAvoidBottomInset: false,
      appBar: AppBar(
        iconTheme: const IconThemeData(color: Colors.black87),
        backgroundColor: Colors.white,
        shadowColor: Colors.transparent,
        title: const Text(
          'Recuperar senha',
          style: TextStyle(color: Colors.black87),
        ),
      ),
      body: BlocProvider(
        create: (_) => ForgotPasswordBloc(
          authenticationRepository: context.read<AuthenticationRepository>(),
          username: username,
        ),
        child: Padding(
          padding: const EdgeInsets.symmetric(horizontal: 16),
          child: ForgotPasswordForm(
            username: username,
            changePasswordSetting: changePasswordSetting,
          ),
        ),
      ),
    );
  }
}
